<ion-header no-border>
  <ion-toolbar color='primary'>
      <ion-title>
        Prioritas Group
        <small>
          Cabang Parung
        </small>
      </ion-title>
      <ion-buttons right class="cartIcon" (click)="goCart()">
        <button ion-button icon-only>
          <span id="countCart">{{countCart}}</span>
          <ion-icon name="cart"></ion-icon>
        </button>
      </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
<ion-refresher (ionRefresh)="doRefresh($event)">
  <ion-refresher-content></ion-refresher-content>
</ion-refresher>

<div class="imageSlide">
  <ion-slides  *ngIf="imageSlider && imageSlider.length" autoplay="1000" pager="true" parallax="true" loop="true">
    <ion-slide *ngFor="let slide of (imageSlider ? imageSlider : [])">
      <img-loader src="{{slide.image}}" useImg ></img-loader>
    </ion-slide>
  </ion-slides>
</div>
<div class="search-bg" style="margin-top: -6px">
    <ion-searchbar placeholder="Cari Barang" (search)="onEnterSearch(SearchHome)" #SearchHome></ion-searchbar>
</div>
<div class="navigasi">
  <button [ngClass]="kategori ? 'active' : 'nonactive'" (click)="selectTab('kategori')">Kategori</button>
  <button [ngClass]="merek ? 'active' : 'nonactive'" (click)="selectTab('merek')">Merek</button>
</div>
  <div class="services">
    <ion-grid>
        <ion-row *ngIf="kategori">
          <ion-col col-4 *ngFor="let item of (Kategori ? Kategori : [])" (click)="getProduk(item.name, 'kategori')">
              <div>
                <caption class="item">
                    <img-loader src="{{item.image}}" useImg></img-loader>
                  <span>{{item.name}}</span>
                </caption>
              </div>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="merek">
          <ion-col col-4 *ngFor="let item of (Merek ? Merek : [])" (click)="getProduk(item.name, 'merek')">
              <div>
                <caption class="item">
                  <img-loader src="{{item.image}}" useImg></img-loader>
                  <span>{{item.name}}</span>
                </caption>
              </div>
          </ion-col>
        </ion-row>
      </ion-grid>
  </div>
</ion-content>
